# Uses of Interface
org.opensaml.xmlsec.encryption.ReferenceType

Packages that use ReferenceType
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of ReferenceType in org.opensaml.xmlsec.encryption

Subinterfaces of ReferenceType in org.opensaml.xmlsec.encryption
Modifier and Type
Interface
Description
`interface`
`DataReference`
XMLObject representing XML Encryption, version 20021210, DataReference element.
`interface`
`KeyReference`
XMLObject representing XML Encryption, version 20021210, KeyReference element.
Methods in org.opensaml.xmlsec.encryption that return types with arguments of type ReferenceType
Modifier and Type
Method
Description
`List<ReferenceType>`
ReferenceList.`getReferences()`
Get the list of reference child elements.

## Uses of ReferenceType in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement ReferenceType
Modifier and Type
Class
Description
`class`
`DataReferenceImpl`
Concrete implementation of `DataReference`.
`class`
`KeyReferenceImpl`
Concrete implementation of `KeyReference`.
`class`
`ReferenceTypeImpl`
Concrete implementation of `ReferenceType`.
Fields in org.opensaml.xmlsec.encryption.impl with type parameters of type ReferenceType
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<ReferenceType>`
ReferenceListImpl.`indexedChildren`
ReferenceType child elements.
Methods in org.opensaml.xmlsec.encryption.impl that return types with arguments of type ReferenceType
Modifier and Type
Method
Description
`List<ReferenceType>`
ReferenceListImpl.`getReferences()`
Get the list of reference child elements.